/*
Bullet Continuous Collision Detection and Physics Library
Copyright (c) 2003-2007 Erwin Coumans  http://continuousphysics.com/Bullet/

This software is provided 'as-is', without any express or implied warranty.
In no event will the authors be held liable for any damages arising from the use of this software.
Permission is granted to anyone to use this software for any purpose, 
including commercial applications, and to alter it and redistribute it freely, 
subject to the following restrictions:

1. The origin of this software must not be misrepresented; you must not claim that you wrote the original software. If you use this software in a product, an acknowledgment in the product documentation would be appreciated but is not required.
2. Altered source versions must be plainly marked as such, and must not be misrepresented as being the original software.
3. This notice may not be removed or altered from any source distribution.
*/

#include "HACDDemo.h"
#include "GlutStuff.h"
#include "btBulletDynamicsCommon.h"
#include "LinearMath/btHashMap.h"

#include "GLDebugDrawer.h"
static GLDebugDrawer sDebugDraw;
extern int glutmainEx(int argc, char **argv,int width,int height,const char* title,GlutDemoApplicationEx* demoApp,GLDebugDrawer* pDrawer = NULL);

char gExeFileFullPath[1025];
char gFileFromCommandLine[1025];
	
int main(int argc,char** argv)
{
	gExeFileFullPath[0]='\0';
	gFileFromCommandLine[0]='\0';
	if (argc>=1)strcpy(&gExeFileFullPath[0],argv[0]);
	if (argc>=2) strcpy(&gFileFromCommandLine[0],argv[1]);

	HACDDemo ccdDemo;


#ifdef CHECK_MEMORY_LEAKS
	ccdDemo.initPhysics();
	ccdDemo.exitPhysics();
#else
	return glutmainEx(argc, argv,1024,600,"Bullet Physics Demo. http://bulletphysics.org",&ccdDemo);
#endif
	
	//default glut doesn't return from mainloop
	return 0;
}

